Page MenuHomeFreeBSD

[New port] sysutils/lizardfs: An open source distributed filesystem
ClosedPublic

Authored by jhixson on Jan 29 2019, 12:27 AM.

Details

Summary

[New port] sysutils/lizardfs: An open source distributed filesystem

Test Plan

Tested with poudriere for 11.2 and 12.0

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhixson created this revision.Jan 29 2019, 12:27 AM
miwi added inline comments.Jan 29 2019, 12:47 PM
sysutils/lizardfs/Makefile
12 ↗(On Diff #53351)

is the License file somewhere in the tarball?

mat added inline comments.Jan 29 2019, 4:36 PM
sysutils/lizardfs/Makefile
14–18 ↗(On Diff #53351)

The dependency on boost-libs should probably be a LIB_DEPENDS.

20 ↗(On Diff #53351)

Remove :2.7+.

22–39 ↗(On Diff #53351)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

sysutils/lizardfs/files/mfschunkserver.in
23 ↗(On Diff #53351)

Where is MFS_WORKDIR coming from? It is used in all the rc files, but not defined anywhere.

jhixson updated this revision to Diff 53430.Jan 30 2019, 7:06 PM

sysutils/lizardfs: port fixes

  • Set LICENSE_FILE
  • Move boost-libs to LIB_DEPENDS
  • Remove python2.7 from USES
  • Move CMAKE variables to correct location in Makefile
jhixson marked 5 inline comments as done.Jan 30 2019, 7:07 PM
miwi accepted this revision.Feb 1 2019, 4:48 PM

LGTM

This revision is now accepted and ready to land.Feb 1 2019, 4:48 PM
This revision was automatically updated to reflect the committed changes.